Bug 799367 - RTL8187B fails to connect to an Ad-Hoc network
RTL8187B fails to connect to an Ad-Hoc network
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 10:35 EST by Juhani Jaakola
Modified: 2012-09-11 08:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 08:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juhani Jaakola 2012-03-02 10:35:12 EST
Description of problem:
My Packard Bell has a built-in USB Realtek Semiconductor Corp. RTL8187B Wireless 802.11g 54Mbps Network Adapter (ID 0bda:8189). It can connect to a normal wireless network, but not to an Ad-Hoc network.

Version-Release number of selected component (if applicable):
kernel-3.2.7-1.fc16.i686, but the same problem has been also in earlier Fedora 16 kernels and in Fedora 15 as well. Connecting to Ad-Hoc networks has never worked with this machine. I have updated to the latest packages via yum.

How reproducible:
Always

Steps to Reproduce:
1. Select the Ad-Hoc network name from the list in NetworkManager
  
Actual results:
NetworkManager fails to connect to the Ad-Hoc network, but can connect to normal networks.

Expected results:
Connection should be established.

Additional info:
So far the following devices have been able to connect to the Ad-Hoc network: Acer Aspire 7720ZG (Fedora 16), IBM ThinkPad R50p (Fedora 13), Samsung RV520 (Fedora 16), Nokia N900 (Maemo 5). The machine with RTL8187B is the only one which fails.

dmesg shows error:
ADDRCONF(NETDEV_UP): wlan0: link is not ready

Is this the same bug as Launchpad bug #97322? See
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/97322

See also:
http://comments.gmane.org/gmane.linux.kernel.wireless.general/85911
Comment 1 Dave Jones 2012-03-22 12:44:54 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 12:49:16 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:58:38 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Juhani Jaakola 2012-03-26 08:44:55 EDT
I tested today with kernel-3.3.0-4.fc16 and there was no change. I still can't connect to the Ad-Hoc network.
Comment 5 Josh Boyer 2012-09-10 10:05:25 EDT
Juhani, are you seeing this issue with the 3.4 or 3.5 kernel updates?
Comment 6 Juhani Jaakola 2012-09-11 07:37:08 EDT
Now it works with kernel-3.5.3-1.fc17.i686! I can connect and use an Ad-Hoc network without problems. Thanks!
Comment 7 Josh Boyer 2012-09-11 08:22:08 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.